org.vishia.gral.ifc

## Class GralImageBase

- java.lang.Object
- - org.vishia.gral.ifc.GralImageBase

- Direct Known Subclasses:
    SwtImage

      public abstract class GralImageBase
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `(package private) java.lang.Object` | `oImage`
    `static int` | `version` Version, history and license.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GralImageBase(java.lang.Object oImage)`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `getImage()`
    `abstract GralRectangle` | `getPixelSize()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### version

          public static final int version

      Version, history and license.
      - 2011-06-00 Hartmut created
      Copyright/Copyleft:
      For this source the LGPL Lesser General Public License, published by the Free Software Foundation is valid. It means:
      1. You can use this source without any restriction for any desired purpose.
      2. You can redistribute copies of this source to everybody.
      3. Every user of this source, also the user of redistribute copies with or without payment, must accept this license for further using.
      4. But the LPGL is not appropriate for a whole software product, if this source is only a part of them. It means, the user must publish this part of source, but doesn't need to publish the whole source of the own product.
      5. You can study and modify (improve) this source for own using or for redistribution, but you have to license the modified sources likewise under this LGPL Lesser General Public License. You mustn't delete this Copyright/Copyleft inscription in this source file.
      If you intent to use this source without publishing its usage, you can get a second license subscribing a special contract with the author.
      See Also:
        Constant Field Values

    - #### oImage

          final java.lang.Object oImage

  - ### Constructor Detail

    - #### GralImageBase

          public GralImageBase(java.lang.Object oImage)

  - ### Method Detail

    - #### getImage

          public java.lang.Object getImage()

    - #### getPixelSize

          public abstract GralRectangle getPixelSize()